-- =============================================
-- Author:		<Luca,,C6Mart.DM_GestioneEmail>
-- Create date: <13/11/2008,,>
-- Description:	<Prima fase popolamento tabella email,,>
-- =============================================
CREATE procedure [C6MartPeriodico].[DM_GESTIONE_EMAIL_REPORT_GENERATI] 
AS
BEGIN
BEGIN TRANSACTION
--QUESTA SP POPOLA LA TABELLA GESTIONE_EMAIL PER LE CASISTICHE DI:
--	LISTA CLIENTI PER CUI OCCORRE GENERARE I REPORT
DECLARE @ID_ELAB INT
SET @ID_ELAB = C6MARTPERIODICO.GETIDELAB()
DECLARE @GETDATE AS DATETIME
SELECT 	@GETDATE = GETDATE()
 --1. INSERIMENTO MAIL "LISTA CLIENTI PER CUI OCCORRE GENERARE I REPORT"
	-- TUPLE DA PERFEZIONARE SU CONTRATTOSEI
	-- NON PRESENTI SU GESTIONE_EMAIL
DECLARE @TIPOEMAIL AS VARCHAR(50)
SET @TIPOEMAIL = 'LC_REP_GEN'
-- Controllo se ci sono report generati
	DECLARE @NUM_RIGHE AS INT
	SELECT @NUM_RIGHE = COUNT(*)
	FROM C6MartPeriodico.GESTIONE_PDF_FTP REPGEN
	LEFT OUTER JOIN C6MartPeriodico.GESTIONE_EMAIL EMAIL
			ON  REPGEN.ID_ELAB = EMAIL.ID_ELAB
			AND ISNULL(REPGEN.FLAGINVIO,'N') = 'N'	
			AND EMAIL.TIPO = @TIPOEMAIL
			AND ISNULL(EMAIL.[Inviata],'N') = 'N'						
	WHERE 1 = 1
		--AND REPGEN.ID_ELAB = @ID_ELAB
		AND EMAIL.ID_ELAB IS NULL
IF @NUM_RIGHE > 0
BEGIN
INSERT INTO C6MartPeriodico.GESTIONE_EMAIL
		(Rete,CodicePB,SistemiOperativi ,Tipo,Data_Generazione, ID_ELAB)
VALUES('','','S',@TIPOEMAIL,@GETDATE,@ID_ELAB)
END		
IF @@ERROR<>0 ROLLBACK
COMMIT
END